%
% samenvoegen.m
%
close all; clear all;clc;

files=dir('*l.t*.asc');
n=size(files);

for i=1:n

filenaam1=files(i).name;
% filenaam1='Scherm.wand.25gr.200l.t1_h40%.ASC';

s1 = regexprep(filenaam1, 'l.t', 'r.t');
s2 = regexprep(s1, 'L.T', 'r.t');
filenaam2=s2;

% lees de header informatie de DasyLab-meetfile 1
disp(filenaam1);
fid = fopen(filenaam1);
  tline1 = fgetl(fid);
  tline2 = fgetl(fid);
  tline3 = fgetl(fid);
  tline4 = fgetl(fid);
  tline5 = fgetl(fid);
  tline6 = fgetl(fid);
  tline7 = fgetl(fid);
  % disp(tline3);
istatus = fclose(fid);

tline1b=[tline1 '  HET MEETBESTAND "' filenaam1 '" IS GECOMBINEERD met "' filenaam2 '"'  ];

%inlezen Dasylab ascii-file1:
data1 = textread(filenaam1,'','delimiter',';','headerlines',7);
nrows=size(data1,1);
ncolumns=size(data1,2);
data1=data1(:,1:ncolumns-1);
lengte1 = length(data1);

%inlezen Dasylab ascii-file2:
data2 = textread(filenaam2,'','delimiter',';','headerlines',7);
nrows=size(data2,1);
ncolumns=size(data2,2);
data2=data2(:,1:ncolumns-1);
lengte2 = length(data2);

% Offset correctie van de positie
data2(:,2)=data2(:,2)-320;   % min 320 mm

% schrijf data naar de nieuwe file:
s1 = regexprep(filenaam1, '.ASC', 'gecombineerd.ASC');
s2 = regexprep(s1, '.asc', 'gecombineerd.ASC');
s1 = regexprep(s2, 'l.t', '.t');
s2 = regexprep(s1, 'L.T', '.t');
newfile=s2;

dlmwrite(newfile, tline1b, 'delimiter', '' );
dlmwrite(newfile, tline2,  'delimiter', '', '-append' );
dlmwrite(newfile, tline3,  'delimiter', '', '-append' );
dlmwrite(newfile, tline4,  'delimiter', '', '-append' );
dlmwrite(newfile, tline5,  'delimiter', '', '-append' );
dlmwrite(newfile, tline6,  'delimiter', '', '-append' );
dlmwrite(newfile, tline7,  'delimiter', '', '-append' );
dlmwrite(newfile, data1,   'delimiter', '', 'precision', '%.3f;', '-append' );
dlmwrite(newfile, data2,   'delimiter', '', 'precision', '%.3f;', '-append' );

end;
