%
% Add_All_in_set.m
%

close all; clear all;clc;
files=dir('*.asc');
n=size(files);

filenaam_set='set.txt';
% Open set file
fid_set     = fopen( filenaam_set, 'w' ) ;

for i=1:n

filenaam_asc=files(i).name;

%inlezen Dasylab ascii-file:
data = textread(filenaam_asc,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

vx_mean  = 40*mean(data(1:lengte,2))-100;
vy_mean  = 40*mean(data(1:lengte,3))-100;
vz1_mean = 40*mean(data(1:lengte,4))-100;
vz2_mean = 40*mean(data(1:lengte,5))-100;

std_vx  = std(40*data(1:lengte,2)-100);
std_vy  = std(40*data(1:lengte,3)-100);
std_vz1 = std(40*data(1:lengte,4)-100);
std_vz2 = std(40*data(1:lengte,5)-100);

s    = regexprep(filenaam_asc, '_', '.'); 
punt = findstr(s, '.');
x=str2num(s(punt(2)+1:punt(3)-1));
y=str2num(s(punt(3)+1:punt(4)-1));
z=str2num(s(punt(4)+1:punt(5)-1));

fprintf( 1, 'filenaam  = %s    \n', filenaam_asc ); 

% schrijf data naar de set file:

fprintf( fid_set, '%6.0f',            x);
fprintf( fid_set, '%6.0f',            y);
fprintf( fid_set, '%6.0f',            z);
fprintf( fid_set, '%10.4f',     vx_mean); 
fprintf( fid_set, '%10.4f',     vy_mean); 
fprintf( fid_set, '%10.4f',    vz2_mean); 
fprintf( fid_set, '%10.4f',    vz2_mean); 
fprintf( fid_set, '%10.4f',      std_vx); 
fprintf( fid_set, '%10.4f',      std_vy); 
fprintf( fid_set, '%10.4f',     std_vz1); 
fprintf( fid_set, '%10.4f\n',   std_vz2); 

end;

% Close set file
fclose( fid_set ) ; 
