%
% smooth_v5.m
%
%filenaam='Test.ASC';

x0=x; 

dx=(x0(2)-x0(1));           % Bemonsteringsinterval [m]
Fs=abs(1.0/dx);                   % SampleFrequency of inputsignal p [Hz]
%Ffilter = 0.01000;                 % Kantelfrequentie van het FILTER in Hz  ~ -4.5db-punt

N1=250;
%Ffilter1 = 0.1000;
delay1=N1*dx/2;
idelay1=round(abs(delay1/dx));
h1 = fdesign.lowpass('n,fc',N1,Ffilter,Fs);
Hm1 = design(h1,'window');

%N2=5000;
delay2=N2*dx/2;
idelay2=round(abs(delay2/dx));
h2 = fdesign.lowpass('n,fc',N2,Ffilter,Fs);
Hm2 = design(h2,'window');

x1=x0;

y_ruw=data(:,2);

y1=y_ruw;

[y2, ip2] = func_despike_phasespace3d( y1, 0, 2 );
y3=y2';

% No initial conditions
y4 = filter(Hm1,y3);         % PersistentMemory is false (default)
zf1 = Hm1.States;             % Final conditions

y5=y3;
i1=0; % locale teller voor het aantal foute waarden
for n = 2:lengte-idelay1
if abs(y3(n)-y4(n+idelay1))>10
   y5(n)= NaN;
   if i1==0
      y5(n-1)=NaN;
   end
   i1=i1+1;
else
   if i1 ~= 0
      y5(n)=NaN;
      i1=0;
   end
end
end

y6 = pchip(x1,y5,x1);

% plot( x1, y1 ,'r'); hold on;
% plot( x1, y2 ,'b');
% plot( x1, y3 ,'g');
% plot( x1, y5 ,'k');
% plot( x1, y6 ,'k');

%y6(1:100)   = 0.00;
%y6(101:350) = 0.01;       % Ribbel met hoogte van 1 cm en breedte van 2.5 cm
%y6(351:600) = 0.00;
%y6(601:625) = 0.01;       % Ribbel met hoogte van 1 cm en breedte van 2.5 mm
%y6(626:1000)= 0.00;

% No initial conditions
y7 = filter(Hm2,y6);       % PersistentMemory is false (default)
zf2 = Hm2.States;          % Final conditions

lengte2=length(y7);

%plot( x1, y6 ,'g');
%plot( x1-delay2, y7 ,'k','LineWidth',1.5);

title(filenaam);
xlabel('Distance [ m ]');
ylabel('Profile [ mm ]');
h = legend('origineel','gecorrigeerd');



%data2=data;
data2(:,1)=x1;
data2(:,2)=y1;
data2(1:lengte2-N_idelay2*(0*idelay1+idelay2-40*0.0),3)=y7(N_idelay2*(0*idelay1+idelay2-40*0.0)+1:lengte2); data2(lengte2-N_idelay2*(0*idelay1+idelay2-40*0.0)+1:lengte2,3)=y7(lengte2);
x2=y7;
%plot( x1, data2(:,3) ,'g','LineWidth',1.5);
%hold off;





s1 = regexprep(filenaam, '.ASC', '_WL.txt');
s2 = regexprep(s1, '.asc', '_WL.txt');
%dlmwrite(s2, data2(:,1:3), 'delimiter', ';','precision', 6);


data3(:,1)=x1; % position
data3(:,5)=data2(:,3); % signal water level



