%
% Add_All_in_set2.m
%

close all; clear all;clc;
files=dir('*.asc');
n=size(files);

filenaam_set='set2.txt';
% Open set file
fid_set     = fopen( filenaam_set, 'w' ) ;

for i=1:n

filenaam_asc=files(i).name;

%inlezen Dasylab ascii-file:
data = textread(filenaam_asc,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

[ vx,  vx2,  xdelay  ] = smooth_v6(data(:,1),40*data(:,2)-100);
[ vy,  vy2,  ydelay  ] = smooth_v6(data(:,1),40*data(:,3)-100);
[ vz1, vz12, z1delay ] = smooth_v6(data(:,1),40*data(:,4)-100);
[ vz2, vz22, z2delay ] = smooth_v6(data(:,1),40*data(:,5)-100);

vx_mean  = -1.0*mean(vx); 
vy_mean  = -1.0*mean(vy);
vz1_mean = -1.0*mean(vz1);
vz2_mean = -1.0*mean(vz2);

std_vx  = std(vx);
std_vy  = std(vy);
std_vz1 = std(vz1);
std_vz2 = std(vz2);

s    = regexprep(filenaam_asc, '_', '.'); 
punt = findstr(s, '.');
x=str2num(s(punt(3)+1:punt(4)-1));
y=str2num(s(punt(4)+1:punt(5)-1));
z=str2num(s(punt(5)+1:punt(6)-1));

fprintf( 1, 'filenaam  = %s    \n', filenaam_asc ); 

% schrijf data naar de set file:

fprintf( fid_set, '%6.0f',            x);
fprintf( fid_set, '%6.0f',            y);
fprintf( fid_set, '%6.0f',            z);
fprintf( fid_set, '%10.4f',     vx_mean); 
fprintf( fid_set, '%10.4f',     vy_mean); 
fprintf( fid_set, '%10.4f',    vz1_mean); 
fprintf( fid_set, '%10.4f',    vz2_mean); 
fprintf( fid_set, '%10.4f',      std_vx); 
fprintf( fid_set, '%10.4f',      std_vy); 
fprintf( fid_set, '%10.4f',     std_vz1); 
fprintf( fid_set, '%10.4f\n',   std_vz2); 

end;

% Close set file
fclose( fid_set ) ; 
